%global eclipse_base    %{_libdir}/eclipse
%global install_loc     %{_datadir}/eclipse/dropins/mercurial
# Taken from update site so we match upstream
%global qualifier       v201104191217

Name:           eclipse-mercurial
Version:        1.8.1
Release:        4%{?dist}
Summary:        Eclipse Mercurial plugin
License:        EPL
URL:            http://javaforge.com/project/HGE
Group:          Development/Tools

# Tar file generated from Mercurial repository (tag 1.8.1)
# by:
#   bash get-eclipse-mercurial-sources.sh 1.8.1
# retrieved from http://www.javaforge.com/project/HGE, RELEASE_1.8.1
Source0:        eclipse-mercurial-1.8.1.tar.bz2
# Feature created based on com.vectrace.MercurialEclipse plug-in
# to prevent pdebuild error for building the ecliplse-mercurial package
Source1:        http://mziaei1.fedorapeople.org/eclipse-mercurial/com.vectrace.mercurialeclipse-feature.tar.bz2
Source2:        get-eclipse-mercurial-sources.sh

BuildRequires:  java-devel >= 1:1.6.0
BuildRequires:  eclipse-platform >= 1:3.4.0
BuildRequires:  eclipse-pde >= 1:3.4.0
BuildRequires:  eclipse-mylyn >= 3.5.1
BuildRequires:  eclipse-mylyn-context-team >= 3.5.1

Requires:       eclipse-platform >= 1:3.5.0     
Requires:       eclipse-mylyn >= 3.5.1
Requires:       eclipse-mylyn-context-team >= 3.5.1

BuildArch:      noarch

%description
Eclipse plugins to interact with Mercurial Repositories.

%prep
%setup -q
%setup -q -T -D -a 1

%build
%{eclipse_base}/buildscripts/pdebuild -f com.vectrace.mercurialeclipse \
  -a "-DjavacSource=1.6 -DjavacTarget=1.6 -DforceContextQualifier=%{qualifier}" \
  -d "mylyn mylyn-context-team"

%install
install -d -m 755 %{buildroot}%{install_loc}

# mercurial main feature
unzip -q -d %{buildroot}%{install_loc}/ \
    build/rpmBuild/com.vectrace.mercurialeclipse.zip

%files
%{install_loc}
%doc mercurial/LICENSE
%doc com.vectrace.mercurialeclipse-feature/epl-v10.html

%changelog
* Thu Jun 16 2011 Minoo Ziaei <mziaei@redhat.com> 1.8.1-4
- added the epl documentation the feature

* Tue Jun 14 2011 Minoo Ziaei <mziaei@redhat.com> 1.8.1-3
- Modifying the url to feature tar ball

* Tue Jun 14 2011 Minoo Ziaei <mziaei@redhat.com> 1.8.1-2
- Added more required packages, version qualifier of the upstream.

* Thu Jun 9 2011 Minoo Ziaei <mziaei@redhat.com> 1.8.1-1
- Initial Release
